cURL
curl --request POST \
--url https://api.hirehive.com/v1.0/{company_id}/users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"category": {
"id": "<string>",
"name": "<string>"
},
"permissions": [
"<string>"
],
"reviewer_statuses": [
{
"custom_stage": {
"id": "<string>",
"name": "<string>"
}
}
],
"linked_user_candidates": [
{
"user_id": "<string>",
"candidate_id": "<string>",
"full_name": "<string>",
"email": "<string>"
}
]
}
'import requests
url = "https://api.hirehive.com/v1.0/{company_id}/users"
payload = {
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"category": {
"id": "<string>",
"name": "<string>"
},
"permissions": ["<string>"],
"reviewer_statuses": [{ "custom_stage": {
"id": "<string>",
"name": "<string>"
} }],
"linked_user_candidates": [
{
"user_id": "<string>",
"candidate_id": "<string>",
"full_name": "<string>",
"email": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: '<string>',
last_name: '<string>',
email: 'jsmith@example.com',
category: {id: '<string>', name: '<string>'},
permissions: ['<string>'],
reviewer_statuses: [{custom_stage: {id: '<string>', name: '<string>'}}],
linked_user_candidates: [
{
user_id: '<string>',
candidate_id: '<string>',
full_name: '<string>',
email: '<string>'
}
]
})
};
fetch('https://api.hirehive.com/v1.0/{company_id}/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"assigned_job_ids": [
"<string>"
],
"type": "primary_admin",
"category": {
"id": "<string>",
"name": "<string>"
},
"permissions": [
"<string>"
],
"reviewer_statuses": [
{
"parent_stage": "rejected",
"custom_stage": {
"id": "<string>",
"name": "<string>"
}
}
],
"linked_user_candidates": [
{
"user_id": "<string>",
"candidate_id": "<string>",
"full_name": "<string>",
"email": "<string>"
}
]
}
}{
"errors": {},
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Users
Create user
Create a new user
POST
/
v1.0
/
{company_id}
/
users
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Maximum string length:
100Maximum string length:
100Maximum string length:
100Available options:
primary_admin, admin, user, recruiter, reviewer Show child attributes
Show child attributes
Available options: MANAGE_TEAM, SETTINGS_BILLING, SETTINGS_JOBBOARD, RESTRICTED_ACCESS, EXPORT_REPORTS, MANAGE_JOBS, JOB_PUBLISH, MESSAGE_CANDIDATE, SETTINGS_JOBBOARD
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I